package com.xxl.job.admin.core.thread;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class JobLogReportHelper {
  private static Logger logger = LoggerFactory.getLogger(com.xxl.job.admin.core.thread.JobLogReportHelper.class);
  
  private static com.xxl.job.admin.core.thread.JobLogReportHelper instance = new com.xxl.job.admin.core.thread.JobLogReportHelper();
  
  private Thread logrThread;
  
  public static com.xxl.job.admin.core.thread.JobLogReportHelper getInstance() {
    return instance;
  }
  
  private volatile boolean toStop = false;
  
  public void start() {
    this.logrThread = new Thread((Runnable)new Object(this));
    this.logrThread.setDaemon(true);
    this.logrThread.setName("xxl-job, admin JobLogReportHelper");
    this.logrThread.start();
  }
  
  public void toStop() {
    this.toStop = true;
    this.logrThread.interrupt();
    try {
      this.logrThread.join();
    } catch (Throwable e) {
      logger.error(e.getMessage(), e);
    } 
  }
}
